> ## Documentation Index
> Fetch the complete documentation index at: https://densify-sync-changelog-11.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get webhook definition for an analysis



## OpenAPI

````yaml openapi/public_cloud/Analysis_Webhook.yaml GET /webhook/analysis/{platformType}/{platformSubType}/{analysisId}
openapi: 3.1.0
info:
  title: Kubex – Analysis Webhook API
  version: 1.0.0
  description: >
    Manage webhook definitions for analyses. Supports listing by platform,
    getting, adding, updating, and deleting a webhook for a specific analysis.
servers:
  - url: https://{host}
    variables:
      host:
        default: api.example.com
security: []
tags:
  - name: Analysis Webhook
paths:
  /webhook/analysis/{platformType}/{platformSubType}/{analysisId}:
    get:
      tags:
        - Analysis Webhook
      summary: Get webhook definition for an analysis
      operationId: getAnalysisWebhook
      parameters:
        - name: platformType
          in: path
          required: true
          schema:
            type: string
            enum:
              - cloud
              - containers
        - name: platformSubType
          in: path
          required: true
          schema:
            type: string
            enum:
              - aws
              - gcp
              - azure
              - kubernetes
        - name: analysisId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Webhook definition
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookDefinition'
        '404':
          description: Analysis webhook not found.
components:
  schemas:
    WebhookDefinition:
      type: object
      properties:
        analysisId:
          type: string
        analysisName:
          type: string
        href:
          type: string
        uri:
          type: string
          format: uri
        webHookStatus:
          type: string
      required:
        - analysisId
        - href
        - uri

````